# -*- coding: utf-8 -*-
import logging
import os
import sys

logging.basicConfig(
    level=logging.INFO, format="%(asctime)s %(levelname)s/%(name)s: %(message)s"
)

logger = logging.getLogger(__name__)

if __name__ == "__main__":
    if not os.environ.get("PYTHONHASHSEED"):
        logger.info("Starting again with PYTHONHASHSEED for reproducibility")
        os.environ["PYTHONHASHSEED"] = "0"
        os.execv(sys.executable, ["python3"] + sys.argv)
