# -*- coding: utf-8 -*-
import argparse

from atr_data_generator.extract import add_extract_subparser
from atr_data_generator.split import add_split_subparser


def main():
    parser = argparse.ArgumentParser(
        prog="atr-data-generator",
        description="Script to generate ATR training data from annotations from Arkindex",
        formatter_class=argparse.ArgumentDefaultsHelpFormatter,
    )
    subcommands = parser.add_subparsers(metavar="subcommand")
    add_extract_subparser(subcommands)
    add_split_subparser(subcommands)

    args = vars(parser.parse_args())

    if "func" in args:
        conf_args = args.pop("config_parser")(args.pop("config"))
        _func = args.pop("func")
        kwargs = {**args, **conf_args}
        _func(**kwargs)
    else:
        parser.print_help()
