# -*- coding: utf-8 -*-

from enum import Enum
from operator import attrgetter

from line_image_extractor.image_utils import BoundingBox
from PIL import Image


def _is_vertical(bbox: BoundingBox):
    return bbox.height > bbox.width


def resize_image_height(img: Image.Image, fixed_height: int):
    width, height = img.size
    height_ratio = fixed_height / height
    new_width = int(width * height_ratio)
    return img.resize((new_width, fixed_height), Image.LANCZOS)


class ListedEnum(Enum):
    @classmethod
    def list(cls):
        return list(map(attrgetter("name"), cls))

    def __str__(self) -> str:
        return self.name
